logica

## Class Utilities

- java.lang.Object
- - logica.Utilities

    public class Utilities
    extends java.lang.Object

Clase con metodos utiles para distintas partes del programa Como la creacion y validacion de ruts con codigo verificador con modulo 11 y la generacion de nombres a partir de un archivo con nombre y otro con archivos

### Constructor Summary

Constructors
Constructor and Description
`Utilities()`

### Method Summary

All Methods Static Methods Concrete Methods
`static double` `calcularNota(double puntajeTotal, double puntajeObtenido)` Metodo que calcula una nota
`static double` `calcularPromedio(double[] notas)` Calcula el promedio de un array de doubles
`static java.util.Date` `getRandomDate()` Genera una fecha aleatoria
`static java.lang.String` `getRandomName()` Genera un nombre aleatorio tomando un nombre y un apellidos de los archivos y juntandolos en un solo string
`static java.lang.String` `getRandomRut()` Genera un rut aleatorio entre 10 millones y 21 millones con digito verificador
`static boolean` `validarRut(java.lang.String vrut, java.lang.String vverificador)` Valida rut comprobando el digito verificador

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Utilities

    public Utilities()

### Method Detail

#### validarRut

    public static boolean validarRut(java.lang.String vrut,
                                     java.lang.String vverificador)

Valida rut comprobando el digito verificador

Parameters:
  `vrut` - Rut a comprobar
  `vverificador` - Supuesto digito verificador del rut
Returns:
  True si es que el digito verificador es correcto y false si no lo es

#### getRandomRut

    public static java.lang.String getRandomRut()

Genera un rut aleatorio entre 10 millones y 21 millones con digito verificador

Returns:
  rut y su digito verificador segun modulo 11

#### getRandomName

    public static java.lang.String getRandomName()

Genera un nombre aleatorio tomando un nombre y un apellidos de los archivos y juntandolos en un solo string

Returns:
  Nombre aleatorio

#### calcularNota

    public static double calcularNota(double puntajeTotal,
                                      double puntajeObtenido)

Metodo que calcula una nota

Parameters:
  `puntajeTotal` - puntaje total de la evaluacion
  `puntajeObtenido` - puntaje obtenido del estudiante
Returns:
  Nota en un double, con solo un decimal

#### calcularPromedio

    public static double calcularPromedio(double[] notas)

Calcula el promedio de un array de doubles

Parameters:
  `notas` - array de notas a ser promediadas
Returns:
  la nota promediada con solo 1 decimal

#### getRandomDate

    public static java.util.Date getRandomDate()

Genera una fecha aleatoria

Returns:
  Una fecha aleatoria entre 1/1/2017 y el 31/12/2017